For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve tags for a Risk
      • POSTReplace Risk Tags
      • PUTAdd tags to Risk
      • DELRemove tags from Risk
LogoLogo
SupportContact salesStart free trial
API ReferenceRisk Tag

Retrieve tags for a Risk

GET
https://api.projectmanager.com/api/data/risks/:riskId/tags
GET
/api/data/risks/:riskId/tags
$curl https://api.projectmanager.com/api/data/risks/riskId/tags \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "color": "string"
18 }
19 ]
20}
Returns the list of tags assigned to the specified Risk.
Was this page helpful?
Previous

Replace Risk Tags

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

riskIdstringRequiredformat: "uuid"
The unique identifier of the Risk

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.